local bagslevel = 800
local i = 3

function script.update(dt)

  if car.isAIControlled then
    return nil
  end

  local data = ac.accessCarPhysics()

  data.controllerInputs[0] = bagslevel

	
	if car.extraF then
		if bagslevel > 500 then
			bagslevel = bagslevel - i
			if bagslevel > 500 and bagslevel <= 650 then
				ac.setMessage("Low level suspension")
			elseif bagslevel > 650 and bagslevel <= 800 then
				ac.setMessage("Normal level suspension")
			elseif bagslevel > 800 and bagslevel <= 1300 then
				ac.setMessage("High level suspension")
			end
		end
		data.controllerInputs[0] = bagslevel
	end
	
	if car.extraE then
		if bagslevel < 1000 then
			bagslevel = bagslevel + i
			if bagslevel > 500 and bagslevel <= 650 then
				ac.setMessage("Low level suspension")
			elseif bagslevel > 650 and bagslevel <= 800 then
				ac.setMessage("Normal level suspension")
			elseif bagslevel > 800 and bagslevel <= 1300 then
				ac.setMessage("High level suspension")
			end
		end
		data.controllerInputs[0] = bagslevel
	end
end




